Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfDataPilotFieldElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.table.OdfDataPilotFieldElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDataPilotField

    public abstract class OdfDataPilotFieldElement

extends OdfElement

DOM implementation of OpenDocument element table:data-pilot-field.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDataPilotFieldElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDataPilotFieldElement

Method Summary
`OdfDataPilotFieldReferenceElement` | `createDataPilotFieldReferenceElement(OdfMemberType memberType, String memberName, String fieldName, OdfFieldReferenceType type)` Create child element table:data-pilot-field-reference.
`OdfDataPilotFieldReferenceElement` | `createDataPilotFieldReferenceElement(String fieldName, OdfFieldReferenceType type, OdfMemberType memberType)` Create child element table:data-pilot-field-reference.
`OdfDataPilotGroupsElement` | `createDataPilotGroupsElement(String sourceFieldName, Double step, OdfGroupedByType groupedBy, Double start)` Create child element table:data-pilot-groups.
`OdfDataPilotGroupsElement` | `createDataPilotGroupsElement(String sourceFieldName, Double step, OdfGroupedByType groupedBy, OdfDate dateStart)` Create child element table:data-pilot-groups.
`OdfDataPilotLevelElement` | `createDataPilotLevelElement()` Create child element table:data-pilot-level.
`String` | `getFunction()` Get value of attribute table:function.
`String` | `getIsDataLayoutField()` Get value of attribute table:is-data-layout-field.
`OdfName` | `getOdfName()` Get the element name
`OdfOrientationType` | `getOrientation()` Get value of attribute table:orientation.
`String` | `getSelectedPage()` Get value of attribute table:selected-page.
`String` | `getSourceFieldName()` Get value of attribute table:source-field-name.
`Integer` | `getUsedHierarchy()` Get value of attribute table:used-hierarchy.
`void` | `init(String sourceFieldName, OdfOrientationType orientation, String selectedPage)` Initialization of the mandatory attributes of `OdfDataPilotFieldElement`
`void` | `setFunction(String function)` Set value of attribute table:function.
`void` | `setIsDataLayoutField(String isDataLayoutField)` Set value of attribute table:is-data-layout-field.
`void` | `setOrientation(OdfOrientationType orientation)` Set value of attribute table:orientation.
`void` | `setSelectedPage(String selectedPage)` Set value of attribute table:selected-page.
`void` | `setSourceFieldName(String sourceFieldName)` Set value of attribute table:source-field-name.
`void` | `setUsedHierarchy(Integer usedHierarchy)` Set value of attribute table:used-hierarchy.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDataPilotFieldElement

    public OdfDataPilotFieldElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDataPilotFieldElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:data-pilot-field.

### init

    public void init(String sourceFieldName,
                     OdfOrientationType orientation,
                     String selectedPage)

  Initialization of the mandatory attributes of `OdfDataPilotFieldElement`

  Parameters:
    `sourceFieldName` - The mandatory attribute table:source-field-name"
    `orientation` - The mandatory attribute table:orientation"
    `selectedPage` - The mandatory attribute table:selected-page"

### getSourceFieldName

    public String getSourceFieldName()

  Get value of attribute table:source-field-name.

  Returns:
    return the attribute which type is String

### setSourceFieldName

    public void setSourceFieldName(String sourceFieldName)

  Set value of attribute table:source-field-name.

  Parameters:
    `sourceFieldName` - the attribute's type is String

### getOrientation

    public OdfOrientationType getOrientation()

  Get value of attribute table:orientation.

  Returns:
    return the attribute which type is OdfOrientationType

### setOrientation

    public void setOrientation(OdfOrientationType orientation)

  Set value of attribute table:orientation.

  Parameters:
    `orientation` - the attribute's type is OdfOrientationType

### getSelectedPage

    public String getSelectedPage()

  Get value of attribute table:selected-page.

  Returns:
    return the attribute which type is String

### setSelectedPage

    public void setSelectedPage(String selectedPage)

  Set value of attribute table:selected-page.

  Parameters:
    `selectedPage` - the attribute's type is String

### getIsDataLayoutField

    public String getIsDataLayoutField()

  Get value of attribute table:is-data-layout-field.

  Returns:
    return the attribute which type is String

### setIsDataLayoutField

    public void setIsDataLayoutField(String isDataLayoutField)

  Set value of attribute table:is-data-layout-field.

  Parameters:
    `isDataLayoutField` - the attribute's type is String

### getFunction

    public String getFunction()

  Get value of attribute table:function.

  Returns:
    return the attribute which type is String

### setFunction

    public void setFunction(String function)

  Set value of attribute table:function.

  Parameters:
    `function` - the attribute's type is String

### getUsedHierarchy

    public Integer getUsedHierarchy()

  Get value of attribute table:used-hierarchy.

  Returns:
    return the attribute which type is Integer

### setUsedHierarchy

    public void setUsedHierarchy(Integer usedHierarchy)

  Set value of attribute table:used-hierarchy.

  Parameters:
    `usedHierarchy` - the attribute's type is Integer

### createDataPilotLevelElement

    public OdfDataPilotLevelElement createDataPilotLevelElement()

  Create child element table:data-pilot-level.

  Returns:
    return the element table:data-pilot-level

### createDataPilotFieldReferenceElement

    public OdfDataPilotFieldReferenceElement createDataPilotFieldReferenceElement(String fieldName,
                                                                                  OdfFieldReferenceType type,
                                                                                  OdfMemberType memberType)

  Create child element table:data-pilot-field-reference.

  Parameters:
    `fieldName` - String
    `type` - the attribute's type is OdfFieldReferenceType, see table:field-reference at specification
    `memberType` - the attribute's type is OdfMemberType, see table:member-type at specification
  Returns:
    return the element table:data-pilot-field-reference

### createDataPilotFieldReferenceElement

    public OdfDataPilotFieldReferenceElement createDataPilotFieldReferenceElement(OdfMemberType memberType,
                                                                                  String memberName,
                                                                                  String fieldName,
                                                                                  OdfFieldReferenceType type)

  Create child element table:data-pilot-field-reference.

  Parameters:
    `memberType` - the attribute's type is OdfMemberType, see table:member-type at specification
    `memberName` - String
    `fieldName` - String
    `type` - the attribute's type is OdfFieldReferenceType, see table:field-reference at specification
  Returns:
    return the element table:data-pilot-field-reference

### createDataPilotGroupsElement

    public OdfDataPilotGroupsElement createDataPilotGroupsElement(String sourceFieldName,
                                                                  Double step,
                                                                  OdfGroupedByType groupedBy,
                                                                  OdfDate dateStart)

  Create child element table:data-pilot-groups.

  Parameters:
    `sourceFieldName` - String
    `step` - Double
    `groupedBy` - the attribute's type is OdfGroupedByType, see table:grouped-by at specification
    `dateStart` - the attribute's type is XMLGregorianCalendar
  Returns:
    return the element table:data-pilot-groups

### createDataPilotGroupsElement

    public OdfDataPilotGroupsElement createDataPilotGroupsElement(String sourceFieldName,
                                                                  Double step,
                                                                  OdfGroupedByType groupedBy,
                                                                  Double start)

  Create child element table:data-pilot-groups.

  Parameters:
    `sourceFieldName` - String
    `step` - Double
    `groupedBy` - the attribute's type is OdfGroupedByType, see table:grouped-by at specification
    `start` - Double
  Returns:
    return the element table:data-pilot-groups

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.